/************************************/
/***   19. Services Single css    ***/
/************************************/

.page-service-single{
	padding: 100px 0;
}

.page-single-sidebar{
	position: sticky;
	top: 20px;
	margin-right: 20px;
}

.page-single-category-list{
	background: var(--secondary-color);
	border-radius: 20px;
    margin-bottom: 60px;
	overflow: hidden;
}

.page-single-category-list h3{
    font-size: 22px;
    color: var(--white-color);
    text-transform: uppercase;
	background: var(--primary-color);
    padding: 20px 30px;
}

.page-single-category-list ul{
    list-style: none;
    margin: 0;
    padding: 30px;
}

.page-single-category-list ul li{
    border-bottom: 1px solid var(--divider-color);
    padding-bottom: 20px;
    margin-bottom: 20px;
}

.page-single-category-list ul li:last-child{
    margin: 0;
    padding: 0;
    border-bottom: none;
}

.page-single-category-list ul li a{
    position: relative;
    display: block;
	line-height: 1.4em;
    text-transform: capitalize;
    color: var(--text-color);
    padding-right: 30px;
    transition: all 0.4s ease-in-out;
}

.page-single-category-list ul li:hover a{
    color: var(--primary-color);
}

.page-single-category-list ul li a::before{
    content: '';
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    background: url('../images/struttura/arrow-text.svg');
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    width: 22px;
    height: 22px;
    transition: all 0.4s ease-in-out;
}

.page-single-category-list ul li a:hover::before{
    transform: translateY(-50%) rotate(45deg);
    filter: brightness(0) invert(0);
}

.sidebar-cta-box{
    position: relative;
}

.sidebar-cta-image{
	position: relative;
	border-radius: 20px;
	overflow: hidden;
}

.sidebar-cta-image::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient(179.96deg, rgba(31, 41, 55, 0) 50.09%, rgba(31, 41, 55, 0.9) 99.23%);
    width: 100%;
    height: 100%;
	z-index: 1;
}

.sidebar-cta-image figure img{
	width: 100%;
	aspect-ratio: 1 / 1.22;
	object-fit: cover;
	transition: all 0.4s ease-in-out;
}

.sidebar-cta-box:hover .sidebar-cta-image figure img{
	transform: scale(1.05);
}

.sidebar-cta-item{
	position: absolute;
	bottom: 30px;
	left: 30px;
	right: 30px;
	display: flex;
	z-index: 1;
}

.sidebar-cta-item .icon-box{
	margin-right: 20px;
}

.sidebar-cta-item .icon-box img{
	max-width: 40px;
}

.sidebar-cta-content h3{
    font-size: 22px;
    text-transform: capitalize;
    color: var(--white-color);
    margin-bottom: 15px;
}

.sidebar-cta-content p{
    color: var(--white-color);
    margin-bottom: 5px;
}

.sidebar-cta-content p:last-child{
	margin-bottom: 0;
}

.page-single-image{
	margin-bottom: 40px;
}

.page-single-image figure{
	display: block;
	border-radius: 30px;
}

.page-single-image img{
	width: 100%;
	aspect-ratio: 1 / 0.598;
	object-fit: cover;
	border-radius: 30px;
}

.service-entry{
	margin-bottom: 60px;
}

.service-entry p{
	margin-bottom: 20px;
}

.service-entry p:last-child{
	margin-bottom: 0;
}

.service-entry h2{
	font-size: 48px;
    margin-bottom: 20px;
}

.service-entry ul{
	list-style: none;
	padding: 0;
	margin: 0 0 20px 0;
}

.service-enhance-box,
.service-achieve-box{
	margin-top: 40px;
}

.service-enhance-item-list{
	display: flex;
	flex-wrap: wrap;
	gap: 30px;
	margin-top: 40px;
}

.service-enhance-item{
	width: calc(33.33% - 20px);
	border: 1px solid var(--divider-color);
	border-radius: 30px;
	padding: 20px;
}

.service-enhance-item .icon-box{
	position: relative;
	background: var(--primary-color);
	border-radius: 50%;
	width: 60px;
	height: 60px;
	display: flex;
	align-items: center;
	justify-content: center;
	margin-bottom: 35px;
}

.service-enhance-item .icon-box::before{
	content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: var(--accent-color);
    border-radius: 50%;
    height: 100%;
    width: 100%;
    transform: scale(0);
    transition: all 0.4s ease-in-out;
}

.service-enhance-item:hover .icon-box::before{
	transform: scale(1);
}

.service-enhance-item .icon-box img{
	position: relative;
	max-width: 34px;
	z-index: 1;
}

.service-enhance-item-content h3{
	font-size: 22px;
	text-transform: capitalize;
	margin-bottom: 10px;
}

.servie-entry-video-image.intro-video-box{
	position: relative;
	height: auto;
	margin: 40px 0;
}

.servie-entry-image figure{
	display: block;
	border-radius: 30px;
}

.servie-entry-image figure::before{
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background: var(--primary-color);
	opacity: 40%;
	width: 100%;
	height: 100%;
	z-index: 1;
}

.servie-entry-image img{
	width: 100%;
	aspect-ratio: 1 / 0.457;
	object-fit: cover;
	border-radius: 30px;
}

.service-achieve-list{
	margin-top: 40px;
}

.service-achieve-list .how-work-step-item{
	margin-bottom: 40px;
}

.service-achieve-list .how-work-step-item::before{
	display: none;
}

.service-entry p,
.service-enhance-box p,
.service-achieve-box p {
  text-align: justify;
  white-space: pre-line;   /* rispetta \n */
  text-align: justify;     /* la giustificazione che volevi */
  hyphens: auto;           /* sillabazione (metti lang="it" in <html>) */
  text-justify: inter-word;
}

